#
# spec file for package python-GooseMPL
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-GooseMPL
Version:        0.15.0
Release:        1.3
Summary:        Style and extension functions for matplotlib
License:        MIT
URL:            https://github.com/tdegeus/GooseMPL
Source:         https://files.pythonhosted.org/packages/source/G/GooseMPL/GooseMPL-%{version}.tar.gz
# PATCH-FIX-UPSTREAM GooseMPL-pr52-np2.patch gh#tdegeus/GooseMPL#52
Patch0:         GooseMPL-pr52-np2.patch
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools >= 45}
BuildRequires:  %{python_module setuptools_scm >= 6.2}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-PyYAML
Requires:       python-deprecation
Requires:       python-matplotlib
Requires:       python-matplotlib-latex
Requires:       python-numpy
Requires:       python-scipy
# \usepackage{amsmath, amsfonts, amssymb, bm}
Requires:       texlive-amsmath
Requires:       texlive-amsfonts
Requires:       texlive-tools
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module matplotlib-latex}
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module deprecation}
BuildRequires:  %{python_module matplotlib}
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module scipy}
BuildRequires:  texlive-amsfonts
BuildRequires:  texlive-amsmath
BuildRequires:  texlive-tools
# /SECTION
%python_subpackages

%description
GooseMPL provides a style and several style extensions for matplotlib, some custom
functions that extend matplotlib, and several examples to make professional plot
using matplotlib.

%prep
%autosetup -p1 -n GooseMPL-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/GooseMPL
%{python_sitelib}/GooseMPL-%{version}.dist-info

%changelog
* Sun Oct  6 2024 Ben Greiner <code@bnavigator.de>
- Update to 0.15.0
  * log_ticks allow custom formatting (e.g. with shorted minus) by
    @tdegeus in #46
- Release 0.14.0
  * Changing output fit
- Releae 0.13.0
  * Adding voronoi binning by @tdegeus in #42
  * Adding ticks as equivalent of log_ticks by @tdegeus in #43
- Add GooseMPL-pr52-np2.patch gh#tdegeus/GooseMPL#52
* Fri Jan 20 2023 Ben Greiner <code@bnavigator.de>
- Update to 0.12.1
  * Add asLinearSegmentedColormap by @tdegeus in #41
  * bin: adding number of samples per bin to output by @tdegeus in
    [#39]
  * Fit functions: default use absolute error, let option to user
    by @tdegeus in #37
  * Minor bugfix: adding return in histogram_bin_edges_mincount by
    @tdegeus in #38
  * Binning data & Fit error by @tdegeus in #36
  * Function to re-normalize a histogram by @tdegeus in #33
  * Adding fit_exp by @tdegeus in #32
  * Adding yerr to fit_powerlaw by @tdegeus in #31
  * Adding log-ticks function
  * Updating plot-styles. Breaking change, "goose" -> "goose",
    "goose-autolayout"
  * fit_powerlaw : plot using just two data-points in the scale is
    log-log
  * Adding plot function to fit_powerlaw
  * Deprecating "write_data" and "restore_data"
  * Adding integer bin-edges to public API (formerly only
    integrated in histogram_bin_edges) + minor bugfix (#25)
  * Adding "fit_powerlaw" (#24, #28)
* Fri May  7 2021 Ben Greiner <code@bnavigator.de>
- Require the latex packages which are used in the code
* Tue Apr 20 2021 Steve Kowalik <steven.kowalik@suse.com>
- Update to 0.5.0:
  * Add new minmax function
- Don't build on Python 3.6, due to no NumPy.
* Tue Jul  7 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.4.2
  * Integration "__version__" directly in module
  * Added functionality to write to HDF5 file
  * Updating requirements for readthedocs
  * Add LaTeX number formatting
  * Extracting parameters from "plot_powerlaw"
  * Style changes
* Mon Nov 18 2019 Todd R <toddrme2178@gmail.com>
- Initial version
